<?php 

require_once("../conexao.php");
$tabela = 'receber';

$postjson = json_decode(file_get_contents('php://input'), true);

$id = @$postjson['id'];
$id_usuario = @$postjson['user'];
$valor = @$postjson['valor'];
$valor = str_replace(',', '.', $valor);
$descricao = @$postjson['descricao'];
$data_venc = @$postjson['data_venc'];
$frequencia = @$postjson['frequencia'];
$saida = @$postjson['saida'];
$pessoa = @$postjson['proprietario'];
$locatario = @$postjson['locatario'];
$corretor = @$postjson['corretor'];
$foto = @$postjson['foto'];

if($descricao == "" and $pessoa == "" and $locatario == "" and $corretor == ""){
	echo 'Escolha um Vendedor / Locador / Locatário / corretor ou insira uma descrição!';
	exit();
}

if($descricao == "" and $pessoa != ""){
	$query = $pdo->query("SELECT * FROM vendedores where id = '$pessoa'");
	$res = $query->fetchAll(PDO::FETCH_ASSOC);
	$nome_pessoa = $res[0]['nome'];
	$descricao = $nome_pessoa;
}

if($descricao == "" and $locatario != ""){
	$query = $pdo->query("SELECT * FROM locatarios where id = '$locatario'");
	$res = $query->fetchAll(PDO::FETCH_ASSOC);
	$nome_locatario = $res[0]['nome'];
	$descricao = $nome_locatario;
}

if($descricao == "" and $corretor != ""){
	$query = $pdo->query("SELECT * FROM compradores where id = '$corretor'");
	$res = $query->fetchAll(PDO::FETCH_ASSOC);
	$nome_corretor = $res[0]['nome'];
	$descricao = $nome_corretor;
}

if($id != "" and $foto == ""){
	$query = $pdo->query("SELECT * FROM $tabela where id = '$id'");
	$res = $query->fetchAll(PDO::FETCH_ASSOC);
	$total_reg = @count($res);
	if($total_reg > 0){
		$foto = $res[0]['arquivo'];
	}else{
		$foto = 'sem-foto.png';
	}

}



if($id == "" || $id == "0"){
	$res = $pdo->prepare("INSERT INTO $tabela SET descricao = :descricao, proprietario = '$pessoa', valor = :valor, data_venc = '$data_venc', frequencia = '$frequencia', saida = '$saida', data_lanc = curDate(), usuario_lanc = '$id_usuario', arquivo = '$foto', pago = 'Não', locatario = '$locatario', comprador = '$corretor'");
	

}else{
	$res = $pdo->prepare("UPDATE $tabela SET descricao = :descricao, proprietario = '$pessoa', valor = :valor, data_venc = '$data_venc', frequencia = '$frequencia', saida = '$saida', data_lanc = curDate(), usuario_lanc = '$id_usuario', arquivo = '$foto', locatario = '$locatario', comprador = '$corretor' where id = '$id'");
	
}


$res->bindValue(":descricao", "$descricao");
$res->bindValue(":valor", "$valor");
$res->execute();


$result = json_encode(array('mensagem'=>'Salvo com sucesso!', 'sucesso'=>true));

echo $result;

?>